Index: trunk/roundcubemail/program/include/main.inc
===================================================================
--- trunk/roundcubemail/program/include/main.inc	(rvision 583)
+++ trunk/roundcubemail/program/include/main.inc	(copie de travail)
@@ -844,7 +844,33 @@
   return $sa_languages;
   }
 
+// read directory skins/ and return a list of available themes
+function rcube_list_skins()
+  {
+  global $CONFIG, $INSTALL_PATH;
+  static $sa_themes = array();
+  if (!sizeof($sa_themes))
+    {
+    @include($INSTALL_PATH.'skins/index.inc');
 
+    if ($dh = @opendir($INSTALL_PATH.'skins'))
+      {
+      while (($name = readdir($dh)) !== false)
+        {
+        if ($name{0}=='.' || !is_dir($INSTALL_PATH.'skins/'.$name))
+          continue;
+
+        if ($label = $rcube_skins[$name])
+          $sa_themes[$name] = $label ? $label : $name;
+        }
+      closedir($dh);
+      }
+    }
+  return $sa_themes;
+  }
+
+
+
 // add a localized label to the client environment
 function rcube_add_label()
   {
Index: trunk/roundcubemail/program/localization/fr/labels.inc
===================================================================
--- trunk/roundcubemail/program/localization/fr/labels.inc	(rvision 583)
+++ trunk/roundcubemail/program/localization/fr/labels.inc	(copie de travail)
@@ -177,5 +177,8 @@
 $labels['sortby'] = 'Trier par';
 $labels['sortasc'] = 'Tri ascendant';
 $labels['sortdesc'] = 'Tri descendant';
-
+$labels['skin'] = 'Theme';
 ?>
\ Pas de fin de ligne  la fin du fichier
Index: trunk/roundcubemail/program/localization/en_GB/labels.inc
===================================================================
--- trunk/roundcubemail/program/localization/en_GB/labels.inc	(rvision 583)
+++ trunk/roundcubemail/program/localization/en_GB/labels.inc	(copie de travail)
@@ -192,4 +192,5 @@
 $labels['sortasc']  = 'Sort ascending';
 $labels['sortdesc'] = 'Sort descending';
 
+$labels['version'] = 'Version';
 ?>
\ Pas de fin de ligne  la fin du fichier
Index: trunk/roundcubemail/program/steps/settings/func.inc
===================================================================
--- trunk/roundcubemail/program/steps/settings/func.inc	(rvision 583)
+++ trunk/roundcubemail/program/steps/settings/func.inc	(copie de travail)
@@ -110,6 +110,22 @@
                     $select_timezone->show($CONFIG['timezone']));
     }
 
+  // skin savings
+  if (!isset($no_override['skin_path']))
+    {
+    $a_skins = rcube_list_skins();
+    asort($a_skins);
+
+    $field_id = 'rcmfd_skin_path';
+    $select_skins = new select(array('name' => '_skin_path', 'id' => $field_id));
+    $select_skins->add(array_keys($a_skins), array_values($a_skins));
+
+    $out .= sprintf("<tr><td class=\"title\"><label for=\"%s\">%s</label></td><td>%s</td></tr>\n",
+                    $field_id,
+                    Q(rcube_label('skins')),
+                    $select_skins->show($CONFIG['skin_path']));
+    }
+
   // daylight savings
   if (!isset($no_override['dst_active']))
     {
@@ -119,7 +135,8 @@
                     $field_id,
                     Q(rcube_label('dstactive')),
                     $input_dst->show($CONFIG['dst_active']));
-    }
+   
+   }
 
   // show page size selection
   if (!isset($no_override['pagesize']))
@@ -272,4 +293,4 @@
 ));
 
 
-?>
\ Pas de fin de ligne  la fin du fichier
+?>
Index: trunk/roundcubemail/program/steps/settings/save_prefs.inc
===================================================================
--- trunk/roundcubemail/program/steps/settings/save_prefs.inc	(rvision 583)
+++ trunk/roundcubemail/program/steps/settings/save_prefs.inc	(copie de travail)
@@ -26,9 +26,10 @@
   'prettydate'   => isset($_POST['_pretty_date']) ? TRUE : FALSE,
   'prefer_html'  => isset($_POST['_prefer_html']) ? TRUE : FALSE,
   'htmleditor'   => isset($_POST['_htmleditor']) ? TRUE : FALSE,
   'preview_pane' => isset($_POST['_preview_pane']) ? TRUE : FALSE,
-  'draft_autosave' => isset($_POST['_draft_autosave']) ? intval($_POST['_draft_autosave']) : 0
-  );
+  'draft_autosave' => isset($_POST['_draft_autosave']) ? intval($_POST['_draft_autosave']) : 0,
+  'skin_path' => isset($_POST['_skin_path']) ? $_POST['_skin_path'] : $CONFIG['skin_path']
+);
 
 // don't override these parameters
 foreach ((array)$CONFIG['dont_override'] as $p)